Debian Bug report logs - #657077
transition: php5 5.4

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>

Date: Mon, 23 Jan 2012 22:13:44 UTC

Severity: normal

Merged with 662618

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#657077; Package release.debian.org. (Mon, 23 Jan 2012 22:13:47 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <geissert@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 23 Jan 2012 22:13:48 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: submit@bugs.debian.org
Subject: transition: php5 5.4
Date: Mon, 23 Jan 2012 15:41:00 -0600
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Hi,

As I mentioned about a week ago on #debian-release, we intend to ship PHP 5.4 
in wheezy. Since it has API changes, packages need to be fixed and then 
rebuilt.

More packages are broken by the change than those that I originally expected, 
but for most the fix should be trivial. The bugs affecting/related to the 
transition can be found at:

http://bugs.debian.org/cgi-bin/pkgreport.cgi?tag=php54;users=pkg-php-
maint@lists.alioth.debian.org

A few more bugs will be filed as some build failures are clarified. To 
understand what I mean by that and to get the full picture, please refer to:
http://lists.alioth.debian.org/pipermail/pkg-php-maint/2012-
January/009632.html

Thanks to Lior Kaplan the number of bugs affecting the transition is quickly 
going down, so I don't think those bugs would really delay the transition.

Please let me know when we have a green light for uploading to sid. As last 
time, I will provide the list of packages to binNMU when the time comes.

Cheers,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net




Changed Bug submitter to 'Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>' from 'Raphael Geissert <geissert@debian.org>' Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Sat, 04 Feb 2012 23:48:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#657077; Package release.debian.org. (Sun, 05 Feb 2012 17:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 657077@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Debian Release <debian-release@lists.debian.org>
Subject: Upcoming transition of php5 to 5.4
Date: Wed, 1 Feb 2012 08:40:07 +0100
[Message part 1 (text/plain, inline)]
Hi,

this is just a heads up that we would like to ship wheezy with php5 5.4
which is in upstream RC phase now (and in debian-experimental).

It introduce a couple of incompatible changes (for a full list see attached
UPGRADING file), most notably (not listing minor changes and added features):
- default charset is now utf-8
- magic_quotes are deprecated (with warning)
- safe_mode and register_globals was removed
- three new reserved words: callable, insteadof and trait
- multibyte support is now default
- removed syntax (break $var, continue $var)
- sqlite(1) extension was removed (already done in php5.3 in Debian)

I am inclined to let the current php5 in unstable to transition to testing
and then upload next 5.4.0 RC to unstable with transition blocking bug,
so we can start testing existing software as soon as possible.

I also plan to provide "official" backports for Debian squeeze, so people
can come and test new php5.4 before they upgrade to wheezy.

Final note: We already had similar transitions in php (4->5, 5.2->5.3, etc.),
so it's not really a big deal, but it will require some amount of work hence
this email.

Ondrej
P.S.: Please Cc: me as I am not subscribed to the list (but I do check
the web archives).
-- 
Ondřej Surý <ondrej@sury.org>
[UPGRADING (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#657077; Package release.debian.org. (Mon, 06 Feb 2012 10:03:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 06 Feb 2012 10:03:28 GMT) Full text and rfc822 format available.

Message #15 received at 657077@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Raphael Geissert <geissert@debian.org>, 657077@bugs.debian.org, ondrej@sury.org
Subject: Re: Bug#657077: transition: php5 5.4
Date: Mon, 06 Feb 2012 10:20:34 +0100
On 2012-01-23 22:41, Raphael Geissert wrote:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
> 
> Hi,
> 
> As I mentioned about a week ago on #debian-release, we intend to ship PHP 5.4 
> in wheezy. Since it has API changes, packages need to be fixed and then 
> rebuilt.
> 
> More packages are broken by the change than those that I originally expected, 
> but for most the fix should be trivial. The bugs affecting/related to the 
> transition can be found at:
> 
> http://bugs.debian.org/cgi-bin/pkgreport.cgi?tag=php54;users=pkg-php-
> maint@lists.alioth.debian.org
> 
> A few more bugs will be filed as some build failures are clarified. To 
> understand what I mean by that and to get the full picture, please refer to:
> http://lists.alioth.debian.org/pipermail/pkg-php-maint/2012-
> January/009632.html
> 
> Thanks to Lior Kaplan the number of bugs affecting the transition is quickly 
> going down, so I don't think those bugs would really delay the transition.
> 
> Please let me know when we have a green light for uploading to sid. As last 
> time, I will provide the list of packages to binNMU when the time comes.
> 
> Cheers,

Hi Raphael and Ondrej,

Sorry for not getting back to you sooner.  So first off, thanks for
filing the bugs at [1] and getting the first half of that solved before
we start.  :)

We have some concerns with this transition, but hopefully you got these
parts covered.  As you announced in [2] the changes to php5 will break
packages.  It is our understanding that most packages containing php are
not compiled during "build".  If so, we could look at potentially a lot
of packages that will break on user systems.

Do you have any strategies for checking the php packages in the archive
for potential issues?  I had a look at the thread in [3] and I could not
find anything (except what I suspect are now the bugs listed in [1]).
If I have missed them please let me know.


Finally, while I admit we have to improve our reply-time, we would
appreciate if you would avoid "self-acking" your transitions on d-d-a.

~Niels

[1]
http://bugs.debian.org/cgi-bin/pkgreport.cgi?tag=php54;users=pkg-php-maint@lists.alioth.debian.org

[2] http://lists.debian.org/debian-devel-announce/2012/02/msg00004.html

[3]
http://lists.alioth.debian.org/pipermail/pkg-php-maint/2012-January/009613.html






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#657077; Package release.debian.org. (Mon, 06 Feb 2012 10:03:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 06 Feb 2012 10:03:50 GMT) Full text and rfc822 format available.

Message #20 received at 657077@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Niels Thykier <niels@thykier.net>
Cc: Raphael Geissert <geissert@debian.org>, 657077@bugs.debian.org
Subject: Re: Bug#657077: transition: php5 5.4
Date: Mon, 6 Feb 2012 10:32:14 +0100
Hi Niels,

On Mon, Feb 6, 2012 at 10:20, Niels Thykier <niels@thykier.net> wrote:
> On 2012-01-23 22:41, Raphael Geissert wrote:
>> Package: release.debian.org
>> Severity: normal
>> User: release.debian.org@packages.debian.org
>> Usertags: transition
>>
>> Hi,
>>
>> As I mentioned about a week ago on #debian-release, we intend to ship PHP 5.4
>> in wheezy. Since it has API changes, packages need to be fixed and then
>> rebuilt.
>>
>> More packages are broken by the change than those that I originally expected,
>> but for most the fix should be trivial. The bugs affecting/related to the
>> transition can be found at:
>>
>> http://bugs.debian.org/cgi-bin/pkgreport.cgi?tag=php54;users=pkg-php-
>> maint@lists.alioth.debian.org
>>
>> A few more bugs will be filed as some build failures are clarified. To
>> understand what I mean by that and to get the full picture, please refer to:
>> http://lists.alioth.debian.org/pipermail/pkg-php-maint/2012-
>> January/009632.html
>>
>> Thanks to Lior Kaplan the number of bugs affecting the transition is quickly
>> going down, so I don't think those bugs would really delay the transition.
>>
>> Please let me know when we have a green light for uploading to sid. As last
>> time, I will provide the list of packages to binNMU when the time comes.
>>
>> Cheers,
>
> Hi Raphael and Ondrej,
>
> Sorry for not getting back to you sooner.  So first off, thanks for
> filing the bugs at [1] and getting the first half of that solved before
> we start.  :)
>
> We have some concerns with this transition, but hopefully you got these
> parts covered.  As you announced in [2] the changes to php5 will break
> packages.  It is our understanding that most packages containing php are
> not compiled during "build".  If so, we could look at potentially a lot
> of packages that will break on user systems.
>
> Do you have any strategies for checking the php packages in the archive
> for potential issues?

I'll do a second round (and thanks to a Raphael for first one) and look for
potentially broken PHP code in our packages. The fact is that those features
were marked as obsolete in PHP 5.3 and those maintainers have been
warned, but still PHP code has big momentum.

I also have thought about adding couple of lintian checks which will test
if the code contains obsolete/removed PHP features.

> I had a look at the thread in [3] and I could not
> find anything (except what I suspect are now the bugs listed in [1]).
> If I have missed them please let me know.

Well, we need to check if the packages like drupal, horde, etc. works
with PHP 5.4.

> Finally, while I admit we have to improve our reply-time, we would
> appreciate if you would avoid "self-acking" your transitions on d-d-a.

Sorry for that. I never know how to proceed and I really wanted to send
the heads-up before it's too late.

[clueless hat]
Is there a place where I can find proper procedurs written? I haven't found
it in DDM, NMG nor http://wiki.debian.org/Teams/ReleaseTeam/Transitions.
[/clueless hat]

> [1]
> http://bugs.debian.org/cgi-bin/pkgreport.cgi?tag=php54;users=pkg-php-maint@lists.alioth.debian.org
>
> [2] http://lists.debian.org/debian-devel-announce/2012/02/msg00004.html
>
> [3]
> http://lists.alioth.debian.org/pipermail/pkg-php-maint/2012-January/009613.html
>
>



-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#657077; Package release.debian.org. (Mon, 06 Feb 2012 11:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 06 Feb 2012 11:03:05 GMT) Full text and rfc822 format available.

Message #25 received at 657077@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Ondřej Surý <ondrej@sury.org>, Raphael Geissert <geissert@debian.org>, 657077@bugs.debian.org
Subject: Re: Bug#657077: transition: php5 5.4
Date: Mon, 06 Feb 2012 12:00:17 +0100
On 2012-02-06 10:32, Ondřej Surý wrote:
> Hi Niels,
> 
> On Mon, Feb 6, 2012 at 10:20, Niels Thykier <niels@thykier.net> wrote:
>> On 2012-01-23 22:41, Raphael Geissert wrote:
>>> Package: release.debian.org
>>> Severity: normal
>>> User: release.debian.org@packages.debian.org
>>> Usertags: transition
>>>
>>> Hi,
>>>
>>> [...]
>>>
>>> Cheers,
>>
>> Hi Raphael and Ondrej,
>>
>> Sorry for not getting back to you sooner.  So first off, thanks for
>> filing the bugs at [1] and getting the first half of that solved before
>> we start.  :)
>>
>> We have some concerns with this transition, but hopefully you got these
>> parts covered.  As you announced in [2] the changes to php5 will break
>> packages.  It is our understanding that most packages containing php are
>> not compiled during "build".  If so, we could look at potentially a lot
>> of packages that will break on user systems.
>>
>> Do you have any strategies for checking the php packages in the archive
>> for potential issues?
> 
> I'll do a second round (and thanks to a Raphael for first one) and look for
> potentially broken PHP code in our packages. The fact is that those features
> were marked as obsolete in PHP 5.3 and those maintainers have been
> warned, but still PHP code has big momentum.
> 

Thanks, that is greatly appreciated.

> I also have thought about adding couple of lintian checks which will test
> if the code contains obsolete/removed PHP features.
> 

A good idea, though next time please have them in Lintian before the
transition is about to start.  Even with an upload today + update of
lintian.d.o the results are at least 3-4 days away.

>> I had a look at the thread in [3] and I could not
>> find anything (except what I suspect are now the bugs listed in [1]).
>> If I have missed them please let me know.
> 
> Well, we need to check if the packages like drupal, horde, etc. works
> with PHP 5.4.
> 

Okay, we are looking forward to results.  :)

>> Finally, while I admit we have to improve our reply-time, we would
>> appreciate if you would avoid "self-acking" your transitions on d-d-a.
> 
> Sorry for that. I never know how to proceed and I really wanted to send
> the heads-up before it's too late.
> 

The heads-up was a good idea.  The problem was you expressed yourself as
if you had already received a go from us (example [1]).

> [clueless hat]
> Is there a place where I can find proper procedurs written? I haven't found
> it in DDM, NMG nor http://wiki.debian.org/Teams/ReleaseTeam/Transitions.
> [/clueless hat]
> 
>  [...]
> 

I have updated the wiki.  Unfortunately, documentation has not been the
defining trait of the Release Team and it may be a while until it is.

~Niels

[1] "php5-5.4.0~rc7-1 will be uploaded as soon as php5 5.3.10
transitions to testing [...]"





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#657077; Package release.debian.org. (Mon, 06 Feb 2012 13:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 06 Feb 2012 13:51:04 GMT) Full text and rfc822 format available.

Message #30 received at 657077@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Niels Thykier <niels@thykier.net>
Cc: 657077@bugs.debian.org
Subject: Re: Bug#657077: transition: php5 5.4
Date: Mon, 6 Feb 2012 14:46:51 +0100
On Mon, Feb 6, 2012 at 12:00, Niels Thykier <niels@thykier.net> wrote:
> On 2012-02-06 10:32, Ondřej Surý wrote:
>> Hi Niels,
>>
>> On Mon, Feb 6, 2012 at 10:20, Niels Thykier <niels@thykier.net> wrote:
>>> On 2012-01-23 22:41, Raphael Geissert wrote:
>>>> Package: release.debian.org
>>>> Severity: normal
>>>> User: release.debian.org@packages.debian.org
>>>> Usertags: transition
>>>>
>>>> Hi,
>>>>
>>>> [...]
>>>>
>>>> Cheers,
>>>
>>> Hi Raphael and Ondrej,
>>>
>>> Sorry for not getting back to you sooner.  So first off, thanks for
>>> filing the bugs at [1] and getting the first half of that solved before
>>> we start.  :)
>>>
>>> We have some concerns with this transition, but hopefully you got these
>>> parts covered.  As you announced in [2] the changes to php5 will break
>>> packages.  It is our understanding that most packages containing php are
>>> not compiled during "build".  If so, we could look at potentially a lot
>>> of packages that will break on user systems.
>>>
>>> Do you have any strategies for checking the php packages in the archive
>>> for potential issues?
>>
>> I'll do a second round (and thanks to a Raphael for first one) and look for
>> potentially broken PHP code in our packages. The fact is that those features
>> were marked as obsolete in PHP 5.3 and those maintainers have been
>> warned, but still PHP code has big momentum.
>>
>
> Thanks, that is greatly appreciated.

Ok, I have checked all packages which depends on php5 and:

1. there are some binary packages which will need transition tracker:

Affected: .build-depends ~ /php5-dev/
Good: .depends ~ /phpapi-20100525/ # this will get fixed in next upload
Bad: .depends ~ /phpapi-20090626/

2. The rest either don't care or have specific code to:
  a) say that the system or its parts won't work with safe_mode
  b) circumvent enabled register_globals

So I would say we are pretty safe on this front.  PHP scripts still could
break in every possible way, but I don't think we would be able to detect
that easily.

The next test (php lint) has showed some fatal errors (which should be
easy to fix).

>> I also have thought about adding couple of lintian checks which will test
>> if the code contains obsolete/removed PHP features.
>>
>
> A good idea, though next time please have them in Lintian before the
> transition is about to start.  Even with an upload today + update of
> lintian.d.o the results are at least 3-4 days away.

After poking the PHP scripts around with grep, I have realized that
there's no sane way how to test these two (safe_mode and register_globals).
Also no sane person would use these two features on his server.

As for php lint - I think same apply for lintian - you need to have latest
php-cli installed for the test and lintian probably doesn't want to drag
that around.

Long term solution would be to incorporate such tests to pkg-php-tools.

>>> I had a look at the thread in [3] and I could not
>>> find anything (except what I suspect are now the bugs listed in [1]).
>>> If I have missed them please let me know.
>>
>> Well, we need to check if the packages like drupal, horde, etc. works
>> with PHP 5.4.
>>
>
> Okay, we are looking forward to results.  :)

The results of safe_mode & register_globals grep is:

      1 OK: binary package
      1 OK: but broken by sqlite.so removal (already done)
      1 SKIP: php-auth-pam dependency broken atm
      1 SKIP: throws some errors in postinst due unreachable pgsql
     34 SKIP: binary package
    223 OK

The results of php5 -l (php link) is:

PHP Fatal error:  Call-time pass-by-reference has been removed
dotclear
d-push
horde3
jffnms
moodle
php-horde-auth
php-kolab-filter
php-net-ldap2
php-openid
phpreports
simplesamlphp
zoph

I am mass filling bugs for these packages (this feature has been deprecated
since php 5.3 anyway).

>>> Finally, while I admit we have to improve our reply-time, we would
>>> appreciate if you would avoid "self-acking" your transitions on d-d-a.
>>
>> Sorry for that. I never know how to proceed and I really wanted to send
>> the heads-up before it's too late.
>>
>
> The heads-up was a good idea.  The problem was you expressed yourself as
> if you had already received a go from us (example [1]).

Ah, I understand that you might had impression that I was going to upload
to unstable without d-r team ACK... This was not my intent, it was merely
just a way how to make people really look at the mail. (Saying "it might happen"
will only make them think - I'll check when it's ready.)

O.
-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#657077; Package release.debian.org. (Mon, 06 Feb 2012 19:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 06 Feb 2012 19:00:03 GMT) Full text and rfc822 format available.

Message #35 received at 657077@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ondřej Surý <ondrej@sury.org>, 657077@bugs.debian.org
Cc: Niels Thykier <niels@thykier.net>
Subject: Re: Bug#657077: transition: php5 5.4
Date: Mon, 6 Feb 2012 19:58:16 +0100
[Message part 1 (text/plain, inline)]
On Mon, Feb  6, 2012 at 14:46:51 +0100, Ondřej Surý wrote:

> So I would say we are pretty safe on this front.  PHP scripts still could
> break in every possible way, but I don't think we would be able to detect
> that easily.
> 
Well, there'll need to be *some* way to detect them before release,
surely?  Maybe that means testing each php package individually, and
gathering a list of which packages have received successful testing.
The testing could be done by the individual package maintainers, but
it'd be nice if somebody was collecting the results so we know what has
or hasn't been tested.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#657077; Package release.debian.org. (Mon, 06 Feb 2012 19:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 06 Feb 2012 19:18:03 GMT) Full text and rfc822 format available.

Message #40 received at 657077@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 657077@bugs.debian.org, Niels Thykier <niels@thykier.net>
Subject: Re: Bug#657077: transition: php5 5.4
Date: Mon, 6 Feb 2012 20:14:53 +0100
2012/2/6 Julien Cristau <jcristau@debian.org>:
> On Mon, Feb  6, 2012 at 14:46:51 +0100, Ondřej Surý wrote:
>
>> So I would say we are pretty safe on this front.  PHP scripts still could
>> break in every possible way, but I don't think we would be able to detect
>> that easily.
>>
> Well, there'll need to be *some* way to detect them before release,
> surely?  Maybe that means testing each php package individually, and
> gathering a list of which packages have received successful testing.
> The testing could be done by the individual package maintainers, but
> it'd be nice if somebody was collecting the results so we know what has
> or hasn't been tested.

Yes, that can be done. But ... do we do that for other languages?
python?  perl?

Anyway I'll setup a wiki page and when you ack the php5 5.4 upload, I'll mail
the package maintainers and ask them to test their packages individually.

PHP 5.4 will be blocked from transitioning to wheezy until final is out and
can be blocked until we gather enough tested packages.  How does that sounds?

O.
-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#657077; Package release.debian.org. (Mon, 06 Feb 2012 20:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 06 Feb 2012 20:15:09 GMT) Full text and rfc822 format available.

Message #45 received at 657077@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ondřej Surý <ondrej@sury.org>
Cc: 657077@bugs.debian.org, Niels Thykier <niels@thykier.net>
Subject: Re: Bug#657077: transition: php5 5.4
Date: Mon, 6 Feb 2012 21:13:55 +0100
[Message part 1 (text/plain, inline)]
On Mon, Feb  6, 2012 at 20:14:53 +0100, Ondřej Surý wrote:

> 2012/2/6 Julien Cristau <jcristau@debian.org>:
> > On Mon, Feb  6, 2012 at 14:46:51 +0100, Ondřej Surý wrote:
> >
> >> So I would say we are pretty safe on this front.  PHP scripts still could
> >> break in every possible way, but I don't think we would be able to detect
> >> that easily.
> >>
> > Well, there'll need to be *some* way to detect them before release,
> > surely?  Maybe that means testing each php package individually, and
> > gathering a list of which packages have received successful testing.
> > The testing could be done by the individual package maintainers, but
> > it'd be nice if somebody was collecting the results so we know what has
> > or hasn't been tested.
> 
> Yes, that can be done. But ... do we do that for other languages?
> python?  perl?
> 
I'm pretty sure something like that was done for python.  I don't think
perl breaks source level compatibility to anywhere near the same extent
(could be wrong, though).

> Anyway I'll setup a wiki page and when you ack the php5 5.4 upload, I'll mail
> the package maintainers and ask them to test their packages individually.
> 
They can test right now with php from experimental...

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#657077; Package release.debian.org. (Mon, 06 Feb 2012 21:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 06 Feb 2012 21:18:05 GMT) Full text and rfc822 format available.

Message #50 received at 657077@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 657077@bugs.debian.org, Niels Thykier <niels@thykier.net>
Subject: Re: Bug#657077: transition: php5 5.4
Date: Mon, 6 Feb 2012 22:14:52 +0100
On Mon, Feb 6, 2012 at 21:13, Julien Cristau <jcristau@debian.org> wrote:
> On Mon, Feb  6, 2012 at 20:14:53 +0100, Ondřej Surý wrote:
>> 2012/2/6 Julien Cristau <jcristau@debian.org>:
>> > On Mon, Feb  6, 2012 at 14:46:51 +0100, Ondřej Surý wrote:
>> >
>> >> So I would say we are pretty safe on this front.  PHP scripts still could
>> >> break in every possible way, but I don't think we would be able to detect
>> >> that easily.
>> >>
>> > Well, there'll need to be *some* way to detect them before release,
>> > surely?  Maybe that means testing each php package individually, and
>> > gathering a list of which packages have received successful testing.
>> > The testing could be done by the individual package maintainers, but
>> > it'd be nice if somebody was collecting the results so we know what has
>> > or hasn't been tested.
>>
>> Yes, that can be done. But ... do we do that for other languages?
>> python?  perl?
>>
> I'm pretty sure something like that was done for python.  I don't think
> perl breaks source level compatibility to anywhere near the same extent
> (could be wrong, though).

Alright.

>> Anyway I'll setup a wiki page and when you ack the php5 5.4 upload, I'll mail
>> the package maintainers and ask them to test their packages individually.
>>
> They can test right now with php from experimental...

How many of them do you think will do that? I am big pessimist here.
Do you think that email about testing with experimental packages now
and then second (well third if you count that in d-d-a) email will not be
too much?

I would rather skip the one with "please test with package in experimental" now
and then push people to really test with php5 in unstable.

O.
-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#657077; Package release.debian.org. (Mon, 06 Feb 2012 22:25:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 06 Feb 2012 22:25:05 GMT) Full text and rfc822 format available.

Message #55 received at 657077@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 657077@bugs.debian.org, Niels Thykier <niels@thykier.net>
Subject: Re: Bug#657077: transition: php5 5.4
Date: Mon, 6 Feb 2012 23:21:27 +0100
On Mon, Feb 6, 2012 at 22:14, Ondřej Surý <ondrej@sury.org> wrote:
>> I'm pretty sure something like that was done for python.  I don't think
>> perl breaks source level compatibility to anywhere near the same extent
>> (could be wrong, though).

http://wiki.debian.org/PHP/54Transition

All those "NEED-CHECK" has been checked by me that there are no regressions
from 5.3 to 5.4, but there are some errors anyway which should be checked
by maintainer.

I'll probably add a second table with "Build-depends" tommorow (it's
too late and
I had to woke up early today).

If you want me to ping the maintainers of PHP packages for PHP 5.4 in
experimental
please say so (even though personally I don't expect much from it) and
I'll do some
grep-dctrl magic to minimize number of those emails.

O.
-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#657077; Package release.debian.org. (Tue, 07 Feb 2012 08:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thijs Kinkhorst" <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 07 Feb 2012 08:12:09 GMT) Full text and rfc822 format available.

Message #60 received at 657077@bugs.debian.org (full text, mbox):

From: "Thijs Kinkhorst" <thijs@debian.org>
To: ondrej@sury.org, 657077@bugs.debian.org
Subject: Re: Bug#657077: transition: php5 5.4
Date: Tue, 7 Feb 2012 09:09:59 +0100
>>> I'm pretty sure something like that was done for python.  I don't
>>> think
>>> perl breaks source level compatibility to anywhere near the same extent
>>> (could be wrong, though).
>
> http://wiki.debian.org/PHP/54Transition

The links to packages with an epoch'ed version are broken.


Thijs





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#657077; Package release.debian.org. (Tue, 07 Feb 2012 08:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 07 Feb 2012 08:42:03 GMT) Full text and rfc822 format available.

Message #65 received at 657077@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Thijs Kinkhorst <thijs@debian.org>
Cc: 657077@bugs.debian.org
Subject: Re: Bug#657077: transition: php5 5.4
Date: Tue, 7 Feb 2012 09:37:46 +0100
On Tue, Feb 7, 2012 at 09:09, Thijs Kinkhorst <thijs@debian.org> wrote:
>>>> I'm pretty sure something like that was done for python.  I don't
>>>> think
>>>> perl breaks source level compatibility to anywhere near the same extent
>>>> (could be wrong, though).
>>
>> http://wiki.debian.org/PHP/54Transition
>
> The links to packages with an epoch'ed version are broken.

Fixed, thanks. Also added text/plain for .log files, so it opens in browser.

O.
-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#657077; Package release.debian.org. (Tue, 07 Feb 2012 08:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 07 Feb 2012 08:57:18 GMT) Full text and rfc822 format available.

Message #70 received at 657077@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: Ondřej Surý <ondrej@sury.org>, 657077@bugs.debian.org
Subject: Re: Bug#657077: transition: php5 5.4
Date: Tue, 07 Feb 2012 09:55:01 +0100
On 06/02/12 23:21, Ondřej Surý wrote:
> On Mon, Feb 6, 2012 at 22:14, Ondřej Surý<ondrej@sury.org>  wrote:
>>> I'm pretty sure something like that was done for python.  I don't
>>> think perl breaks source level compatibility to anywhere near the
>>> same extent (could be wrong, though).
>
> http://wiki.debian.org/PHP/54Transition
>
> All those "NEED-CHECK" has been checked by me that there are no
> regressions from 5.3 to 5.4, but there are some errors anyway which
> should be checked by maintainer.
>

It's "NEED-VERIFY" fwiw. And what means "there are no regressions but
there are some errors"? Can you be more specific?

Regards,

-- 
Mehdi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#657077; Package release.debian.org. (Tue, 07 Feb 2012 09:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 07 Feb 2012 09:12:04 GMT) Full text and rfc822 format available.

Message #75 received at 657077@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Mehdi Dogguy <mehdi@debian.org>
Cc: 657077@bugs.debian.org
Subject: Re: Bug#657077: transition: php5 5.4
Date: Tue, 7 Feb 2012 10:08:42 +0100
2012/2/7 Mehdi Dogguy <mehdi@debian.org>:
> On 06/02/12 23:21, Ondřej Surý wrote:
>>
>> On Mon, Feb 6, 2012 at 22:14, Ondřej Surý<ondrej@sury.org>  wrote:
>>>>
>>>> I'm pretty sure something like that was done for python.  I don't
>>>> think perl breaks source level compatibility to anywhere near the
>>>> same extent (could be wrong, though).
>>
>>
>> http://wiki.debian.org/PHP/54Transition
>>
>> All those "NEED-CHECK" has been checked by me that there are no
>> regressions from 5.3 to 5.4, but there are some errors anyway which
>> should be checked by maintainer.
>>
>
> It's "NEED-VERIFY" fwiw.

Ok, changed.

> And what means "there are no regressions but
> there are some errors"? Can you be more specific?

This means some files were already broken in PHP 5.3, so there are
same errors in 5.3 and in 5.4.
For example docbookwiki:

php 5.3:
-- cut here --
PHP Parse error:  syntax error, unexpected T_VARIABLE in
/docbookwiki-0.9.2-2/usr/share/php/web_app/session/sample/test.Session.php
on line 56
Errors parsing /docbookwiki-0.9.2-2/usr/share/php/web_app/session/sample/test.Session.php
PHP Parse error:  syntax error, unexpected T_STRING in
/docbookwiki-0.9.2-2/usr/share/docbookwiki/upload.php on line 31
Errors parsing /docbookwiki-0.9.2-2/usr/share/docbookwiki/upload.php
-- cut here --

php 5.4:
-- cut here --
PHP Parse error:  syntax error, unexpected '$SESSION_VARS'
(T_VARIABLE) in
/docbookwiki-0.9.2-2/usr/share/php/web_app/session/sample/test.Session.php
on line 56
Errors parsing /docbookwiki-0.9.2-2/usr/share/php/web_app/session/sample/test.Session.php
PHP Parse error:  syntax error, unexpected 'set_locale' (T_STRING) in
/docbookwiki-0.9.2-2/usr/share/docbookwiki/upload.php on line 31
Errors parsing /docbookwiki-0.9.2-2/usr/share/docbookwiki/upload.php
-- cut here --

The only difference is name of the variable in the error log.

-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#657077; Package release.debian.org. (Tue, 07 Feb 2012 12:57:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thijs Kinkhorst" <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 07 Feb 2012 12:57:21 GMT) Full text and rfc822 format available.

Message #80 received at 657077@bugs.debian.org (full text, mbox):

From: "Thijs Kinkhorst" <thijs@debian.org>
To: ondrej@sury.org
Cc: 657077@bugs.debian.org
Subject: Re: Bug#657077: transition: php5 5.4
Date: Tue, 7 Feb 2012 13:52:04 +0100
On Tue, February 7, 2012 09:37, Ondřej Surý wrote:
> On Tue, Feb 7, 2012 at 09:09, Thijs Kinkhorst <thijs@debian.org> wrote:
>>>>> I'm pretty sure something like that was done for python.  I don't
>>>>> think
>>>>> perl breaks source level compatibility to anywhere near the same
>>>>> extent
>>>>> (could be wrong, though).
>>>
>>> http://wiki.debian.org/PHP/54Transition
>>
>> The links to packages with an epoch'ed version are broken.
>
> Fixed, thanks. Also added text/plain for .log files, so it opens in
> browser.

Thanks, but it doesn't work for me yet (e.g. mediawiki).
https://www.sury.org/php-check/5.3/mediawiki-1:1.15.5-7.log
404 Not Found


Thijs





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#657077; Package release.debian.org. (Tue, 07 Feb 2012 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 07 Feb 2012 14:15:04 GMT) Full text and rfc822 format available.

Message #85 received at 657077@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Thijs Kinkhorst <thijs@debian.org>
Cc: 657077@bugs.debian.org
Subject: Re: Bug#657077: transition: php5 5.4
Date: Tue, 7 Feb 2012 15:14:03 +0100
On Tue, Feb 7, 2012 at 13:52, Thijs Kinkhorst <thijs@debian.org> wrote:
> Thanks, but it doesn't work for me yet (e.g. mediawiki).
> https://www.sury.org/php-check/5.3/mediawiki-1:1.15.5-7.log
> 404 Not Found

Sorry, I have fixed something else. Just try without epoch. I have removed
it from the wiki as well.

O.
-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#657077; Package release.debian.org. (Thu, 09 Feb 2012 21:18:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 09 Feb 2012 21:19:34 GMT) Full text and rfc822 format available.

Message #90 received at 657077@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 657077@bugs.debian.org, Niels Thykier <niels@thykier.net>
Subject: Re: Bug#657077: transition: php5 5.4
Date: Thu, 9 Feb 2012 22:11:00 +0100
On Mon, Feb 6, 2012 at 22:14, Ondřej Surý <ondrej@sury.org> wrote:
>> They can test right now with php from experimental...
>
> How many of them do you think will do that? I am big pessimist here.
> Do you think that email about testing with experimental packages now
> and then second (well third if you count that in d-d-a) email will not be
> too much?

I did send the emails this morning (CET). How long do you think we should
wait to get any reaction before upload? Is a week enough? (Given they
should already have got the information via d-d-a before.)

My opinion is that if nothing happens in a week that nothing will happen
unless we already have PHP 5.4 in unstable.

O.
-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#657077; Package release.debian.org. (Mon, 20 Feb 2012 16:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 20 Feb 2012 16:51:04 GMT) Full text and rfc822 format available.

Message #95 received at 657077@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: 657077@bugs.debian.org, Debian Release <debian-release@lists.debian.org>
Subject: Re: Bug#657077: transition: php5 5.4
Date: Mon, 20 Feb 2012 17:47:23 +0100
Hi,

would it be possible to get at least the timescale in which I should
expect the reply to this email?

(I know you are busy, I know you are volunteers, but same applies to
me, and I need that just for planning purposes of my time.)

Thanks,
Ondrej

On Thu, Feb 9, 2012 at 22:11, Ondřej Surý <ondrej@sury.org> wrote:
> On Mon, Feb 6, 2012 at 22:14, Ondřej Surý <ondrej@sury.org> wrote:
>>> They can test right now with php from experimental...
>>
>> How many of them do you think will do that? I am big pessimist here.
>> Do you think that email about testing with experimental packages now
>> and then second (well third if you count that in d-d-a) email will not be
>> too much?
>
> I did send the emails this morning (CET). How long do you think we should
> wait to get any reaction before upload? Is a week enough? (Given they
> should already have got the information via d-d-a before.)
>
> My opinion is that if nothing happens in a week that nothing will happen
> unless we already have PHP 5.4 in unstable.
>
> O.
> --
> Ondřej Surý <ondrej@sury.org>



-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#657077; Package release.debian.org. (Sat, 03 Mar 2012 14:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 03 Mar 2012 14:18:10 GMT) Full text and rfc822 format available.

Message #100 received at 657077@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Raphael Geissert <geissert@debian.org>, 657077@bugs.debian.org
Cc: ondrej@debian.org
Subject: Re: Bug#657077: transition: php5 5.4
Date: Sat, 3 Mar 2012 15:17:11 +0100
[Message part 1 (text/plain, inline)]
On Mon, Jan 23, 2012 at 15:41:00 -0600, Raphael Geissert wrote:

> Please let me know when we have a green light for uploading to sid. As last 
> time, I will provide the list of packages to binNMU when the time comes.
> 
I think you can proceed now.  Thanks for your patience.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#657077; Package release.debian.org. (Sat, 03 Mar 2012 15:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 03 Mar 2012 15:48:03 GMT) Full text and rfc822 format available.

Message #105 received at 657077@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 657077@bugs.debian.org
Subject: Re: Bug#657077: transition: php5 5.4
Date: Sat, 3 Mar 2012 16:45:24 +0100
On Sat, Mar 3, 2012 at 15:17, Julien Cristau <jcristau@debian.org> wrote:
> On Mon, Jan 23, 2012 at 15:41:00 -0600, Raphael Geissert wrote:
>
>> Please let me know when we have a green light for uploading to sid. As last
>> time, I will provide the list of packages to binNMU when the time comes.
>>
> I think you can proceed now.  Thanks for your patience.

Building and uploading after tests are finished. Thanks.

Ondrej.
-- 
Ondřej Surý <ondrej@sury.org>




Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 03 Mar 2012 15:51:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#657077; Package release.debian.org. (Sat, 03 Mar 2012 17:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 03 Mar 2012 17:12:05 GMT) Full text and rfc822 format available.

Message #112 received at 657077@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ondřej Surý <ondrej@debian.org>, 657077@bugs.debian.org
Subject: Re: Bug#657077: transition: php5 5.4
Date: Sat, 3 Mar 2012 18:10:21 +0100
[Message part 1 (text/plain, inline)]
On Sat, Mar  3, 2012 at 16:45:24 +0100, Ondřej Surý wrote:

> On Sat, Mar 3, 2012 at 15:17, Julien Cristau <jcristau@debian.org> wrote:
> > On Mon, Jan 23, 2012 at 15:41:00 -0600, Raphael Geissert wrote:
> >
> >> Please let me know when we have a green light for uploading to sid. As last
> >> time, I will provide the list of packages to binNMU when the time comes.
> >>
> > I think you can proceed now.  Thanks for your patience.
> 
> Building and uploading after tests are finished. Thanks.
> 
I set up http://release.debian.org/transitions/html/php54.html to track
the rebuild status of extensions.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 657077 662618. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 05 Mar 2012 11:21:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#657077; Package release.debian.org. (Mon, 05 Mar 2012 19:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 05 Mar 2012 19:18:04 GMT) Full text and rfc822 format available.

Message #119 received at 657077@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ondřej Surý <ondrej@debian.org>, 657077@bugs.debian.org
Subject: Re: nmu: php5.4 binNMUable package (phpapi-20100525)
Date: Mon, 5 Mar 2012 20:16:28 +0100
[Message part 1 (text/plain, inline)]
On Mon, Mar  5, 2012 at 12:09:16 +0100, Ondřej Surý wrote:

> nmu exactimage_0.8.5-3 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu libexpect-php5_0.3.1-1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu libhdate_1.4.20-4 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu libpuzzle_0.9-4.1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu php-adodb_5.04-7 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu php-apc_3.1.9-0.1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu php-geoip_1.0.7-5 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu php-imagick_3.1.0~rc1-1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu php-memcache_3.0.6-1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu php-memcached_2.0.0b2-1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu php-ps_1.3.6-7 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu php-radius_1.2.5-2.1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu php-rrd_1.0.5-1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu php-sasl_0.1.0-1.2 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu php-ssh2_0.11.3-0.1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu php-svn_1.0.1-1.1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu remctl_3.1-1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu wikidiff2_0.0.1+svn55737-1.1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu xcache_1.3.2-1.1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> 
> Hi,
> 
> these packages are binNMUable (Verified builds in unstable pbuilder(cowbuiler)).
> 
Thanks for the list, but please keep this on 657077, no need to split
information in 15 different places it's complicated enough as it is.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#657077; Package release.debian.org. (Sun, 11 Mar 2012 21:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 11 Mar 2012 21:45:08 GMT) Full text and rfc822 format available.

Message #124 received at 657077@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ondřej Surý <ondrej@debian.org>, 657077@bugs.debian.org
Subject: Re: nmu: php5.4 binNMUable package (phpapi-20100525)
Date: Sun, 11 Mar 2012 22:42:14 +0100
[Message part 1 (text/plain, inline)]
On Mon, Mar  5, 2012 at 12:09:16 +0100, Ondřej Surý wrote:

> nmu exactimage_0.8.5-3 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu libexpect-php5_0.3.1-1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu libhdate_1.4.20-4 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu libpuzzle_0.9-4.1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu php-adodb_5.04-7 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu php-apc_3.1.9-0.1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu php-geoip_1.0.7-5 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu php-imagick_3.1.0~rc1-1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu php-memcache_3.0.6-1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu php-memcached_2.0.0b2-1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu php-ps_1.3.6-7 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu php-radius_1.2.5-2.1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu php-rrd_1.0.5-1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu php-sasl_0.1.0-1.2 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu php-ssh2_0.11.3-0.1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu php-svn_1.0.1-1.1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu remctl_3.1-1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu wikidiff2_0.0.1+svn55737-1.1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> nmu xcache_1.3.2-1.1 . ALL . -m "Recompile with PHP 5.4 (phpapi-20100525)"
> 
All scheduled.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 657077: 656485, 656491, 656482, 662621, 656486, 661909, and 656481 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 11 Mar 2012 21:51:14 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Tue, 20 Mar 2012 22:27:13 GMT) Full text and rfc822 format available.

Notification sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug acknowledged by developer. (Tue, 20 Mar 2012 22:27:13 GMT) Full text and rfc822 format available.

Message #131 received at 657077-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Raphael Geissert <geissert@debian.org>, 657077-done@bugs.debian.org
Cc: ondrej@debian.org
Subject: Re: Bug#657077: transition: php5 5.4
Date: Tue, 20 Mar 2012 23:24:00 +0100
[Message part 1 (text/plain, inline)]
On Sat, Mar  3, 2012 at 15:17:11 +0100, Julien Cristau wrote:

> On Mon, Jan 23, 2012 at 15:41:00 -0600, Raphael Geissert wrote:
> 
> > Please let me know when we have a green light for uploading to sid. As last 
> > time, I will provide the list of packages to binNMU when the time comes.
> > 
> I think you can proceed now.  Thanks for your patience.
> 
Closing this bug now:

      php5 |    5.4.0-2 |       testing | source, all

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Tue, 20 Mar 2012 22:27:14 GMT) Full text and rfc822 format available.

Notification sent to Ondřej Surý <ondrej@debian.org>:
Bug acknowledged by developer. (Tue, 20 Mar 2012 22:27:14 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 657077: 656486 Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 07 Apr 2012 17:03:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 May 2012 07:35:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:33:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.